/*
** Module   : ExtentHintField.java
** Abstract : Container for name, label and description of hint for custom denormalization of
**            field with extent
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 VMN 20140328 Created initial version.
*/

package com.goldencode.p2j.schema;

/**
 * Container for name, label and description of hint for custom denormalization of field with
 * extent. This container contains attributes of extent-field element of *.schema.hints file.
 */

public class ExtentHintField
{
   /** Field name. */
   private String name;

   /** Field label. */
   private String label;

   /** Field description. */
   private String description;

   /**
    * Constructor which accepts field name, label and description.
    *
    * @param    name
    *           The field name.
    * @param    label
    *           The field label.
    * @param    description
    *           The field description.
    */
   public ExtentHintField(String name, String label, String description)
   {
      this.name = name;
      this.label = label;
      this.description = description;
   }

   /**
    * Obtain field name.
    *
    * @return   The field name.
    */
   public String getName()
   {
      return name;
   }

   /**
    * Obtain field label.
    *
    * @return   The field label.
    */
   public String getLabel()
   {
      return label;
   }

   /**
    * Obtain field description.
    *
    * @return   The field description.
    */
   public String getDescription()
   {
      return description;
   }
}
